Bug 46538 - [EasyHack] add support for more bug trackers to get-bugzilla-attachments-by-mimetype
Summary: [EasyHack] add support for more bug trackers to get-bugzilla-attachments-by-m...
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: contrib (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: All All
: medium normal
Assignee: Gökçen Eraslan
QA Contact:
URL:
Whiteboard: target:3.6.0
Keywords: difficultyBeginner, easyHack, skillInfra, skillPython
Depends on:
Blocks:
 
Reported: 2012-02-23 13:24 UTC by Michael Stahl
Modified: 2015-12-15 23:18 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Patch implementing required tasks (16.15 KB, patch)
2012-04-15 06:44 UTC, Gökçen Eraslan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Stahl 2012-02-23 13:24:29 UTC
In the core repository there is a Python script
bin/get-bugzilla-attachments-by-mimetype

This can download all sorts of interesting bug attachments
("bugdocs") for testing purposes from various bug trackers,
currently including bugs.freedesktop.org, openoffice.org bugzilla
and bugzilla.redhat.com.

There are more bug trackers that contain interesting attachments,
and support for these should be added:

- Novell bugzilla
- Launchpad
- whatever is used by KOffice/Calligra
- whatever is used by AbiWord/Gnumeric
- anything else likely to contain ODF or other office format bugdocs

This requires no LO code or C++ knowledge whatsoever.
Comment 1 Björn Michaelsen 2012-02-23 16:35:48 UTC
For launchpad, this:
 https://help.launchpad.net/API/launchpadlib
is the way to go.
Comment 2 Caolán McNamara 2012-04-11 12:34:08 UTC
FWIW, IIRC the reason I didn't just implement it (as was my first attempt) get-bugzilla-attachment-by-mimetype with python-bugzilla or similar was that classic issuezilla didn't support xmlrpc and there were little glitches on different bugzilla's. Other's milage may vary. 

Currently problem with novell bugzilla IIRC is that it doesn't provide the body of the attachment in the default query like the redhat and fdo ones do out-of-the-box, so probably just a little tweak needed to do that
Comment 3 Gökçen Eraslan 2012-04-15 06:44:03 UTC
Created attachment 60015 [details]
Patch implementing required tasks

Attaching the patch adding support for Novell, KDE (for KOffice/Calligra), GNOME (for Gnumeric), AbiSource (for AbiWord) bugzillas and Launchpad.
Comment 4 Gökçen Eraslan 2012-04-16 10:15:02 UTC
Launchpad developers said that they don't have enough man power to improve the bug searching capabilities of launchpad api[1].

[1] https://bugs.launchpad.net/launchpad/+bug/982832
Comment 5 Not Assigned 2012-04-17 00:47:31 UTC
Gökçen Eraslan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=04101329727b355752f31684d27bd86f71b88640

fdo#46538 Easyhack: Add support for more bug trackers to get-bugzilla-attachments-by-mimetype
Comment 6 Caolán McNamara 2012-04-17 12:58:23 UTC
This is working great btw, thanks.
Comment 7 Robinson Tryon (qubit) 2015-12-15 23:18:55 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner SkillPython SkillInfra )
[NinjaEdit]